org.apache.maven.scm.provider.accurev.command.tag

## Class AccuRevTagCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.provider.accurev.command.AbstractAccuRevCommand
    - - org.apache.maven.scm.provider.accurev.command.tag.AccuRevTagCommand

All Implemented Interfaces:
  Command

    public class AccuRevTagCommand
    extends AbstractAccuRevCommand

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`AccuRevTagCommand(ScmLogger logger)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected ScmResult` `executeAccurevCommand(AccuRevScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`TagScmResult` `tag(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`

### Methods inherited from class org.apache.maven.scm.provider.accurev.command.AbstractAccuRevCommand

`executeCommand, getScmFiles`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AccuRevTagCommand

    public AccuRevTagCommand(ScmLogger logger)

### Method Detail

#### executeAccurevCommand

    protected ScmResult executeAccurevCommand(AccuRevScmProviderRepository repository,
                                              ScmFileSet fileSet,
                                              CommandParameters parameters)
                                       throws ScmException,
                                              AccuRevException

Specified by:
  `executeAccurevCommand` in class `AbstractAccuRevCommand`
Throws:
  `ScmException`
  `AccuRevException`

#### tag

    public TagScmResult tag(ScmProviderRepository repository,
                            ScmFileSet fileSet,
                            CommandParameters parameters)
                     throws ScmException

Throws:
  `ScmException`